import requests

default_username = input("Default Username: ")
default_password = input("Default Password: ")

with open("urls.txt", "r", encoding="utf-8") as f:
    urls = f.read()
urls = urls.split("\n")

health_url = []
for url in urls:
    if url:
        try:
            response = requests.post(url, data={
                "username": default_username, 
                "password": default_password
            }).json()
            if response['success'] == True:
                health_url.append(url)
                print("检测到存活: ", url)
            else:
                print("账号已失效: ", url)
        except KeyboardInterrupt:
            exit()
        except:
            pass

with open("result.txt", 'w', encoding="utf-8") as f:
    f.write("")
with open("result.txt", 'a', encoding="utf-8") as f:
    for url in health_url:
        f.write(url + "\n")

print(f"检测完毕，共检测到 {len(health_url)} 个存活账号, 已写入 result.txt 文件")