import re

with open("source.txt", 'r', encoding='utf-8') as f:
    src_file_content = f.read()

pattern = r'(https?://[^\s]+)'
lines = src_file_content.split('\n')
urls = []
for line in lines:
    url = re.findall(pattern, line)
    if url:
        url = url[0]
        url = url[:-1] if url.endswith(',') else url
        url = url if url.endswith('/login') else url + '/login'
        urls.append(url)

with open('urls.txt', 'w', encoding='utf-8') as f:
    f.write('')
with open('urls.txt', 'a', encoding='utf-8') as f:
    for url in urls:
        f.write(url + '\n')

print(f"处理完成, 共 {len(urls)} 条URL, 已写入 urls.txt 文件")